Subject: Re: [GSoC microproject] Add XDG support to the credential-store helper

From: Junio C Hamano <[email-masked]>
Date: Thu, 05 Mar 2015 14:10:35 -0800

Luis Ressel <[email-masked]> writes:

> Oh, and should I add a testcase for the new functionality introduced by
> this patch? And if yes, what exactly should I test?

Absolutely.

Thinking things through to design what needs to be tested is part of
the exercise ;-)  You need to demonstrate that the new feature kicks
in when it should, and also you need to make sure the new feature
does not get used when it shouldn't.